<?xml version="1.0" encoding="utf-8" ?>
<hibernate-mapping xmlns="urn:nhibernate-mapping-2.2" assembly="Domain" namespace="Domain">
	<class name="ModelDetail" table="tb_ModelDetail">
		<id name="ID" column="ID" type="int" unsaved-value="0">
			<generator class="native" />
		</id>
		<many-to-one name="Model" class="Model" column="ModelID" cascade="none" />
		<property name="ModelStatus" column="ModelStatus" type="string"  />
		<property name="OnOff" column="OnOff" type="byte"  />
		<property name="ModelType" column="ModelType" type="ModelType"  />
		<property name="Speed" column="Speed" type="SpeedType"  />
		<property name="SummerTemp" column="SummerTemp" type="int"  />
		<property name="WinterTemp" column="WinterTemp" type="int"  />
		<property name="TimingControl" column="TimingControl" type="bool"  />
		<property name="Timer" column="Timer" type="int"  />
		<property name="AllowElectric" column="AllowElectric" type="bool"  />

	</class>
</hibernate-mapping>
